=encoding utf8

=head1 NAME

release_schedule - Perl 5 release schedule

=head1 STABLE RELEASE SCHEDULE

This schedule lists the projected or historical development and
release schedules for the next, current and previous stable versions
of Perl.  Dates with two or more question marks will only be releases if
deemed necessary by the Pumpking.

=head2 Perl 5.32

Code freezes (which happen in the 5.31.X series)

  2020-01-20  5.31.8          Contentious changes freeze
  2020-02-20  5.31.9          User-visible changes to correctly
                              functioning programs freeze
  2020-03-20  5.31.10         Full code freeze
  2020-04-20  5.32.0          Stable release!

=head2 Perl 5.30

  2019-05-22  5.30.0 ✓        Sawyer X
  2019-11-10  5.30.1          Steve Hay
  2020-03-??  5.30.2          Steve Hay

=head2 Perl 5.28

  2018-05-20  5.28.0 ✓        Sawyer X
  2018-11-29  5.28.1 ✓        Steve Hay
  2019-04-19  5.28.2 ✓        Steve Hay

=head2 Perl 5.26

  2017-05-30  5.26.0 ✓        Sawyer X
  2017-09-22  5.26.1 ✓        Steve Hay
  2018-04-14  5.26.2 ✓        Steve Hay
  2018-11-29  5.26.3 ✓        Steve Hay

=head1 DEVELOPMENT RELEASE SCHEDULE

This schedule lists the release engineers for at least the next
four months of releases of bleadperl. If there are fewer than
four months listed as you make a release, it's important
that you extend the schedule AND B<identify the next release engineer>.

Before adding a release engineer, you B<must> contact them and they
B<must> consent to ship the release.

When shipping a release, you should include the schedule for (at least)
the next four releases. If a stable version of Perl is released,
you should reset the version numbers to the next blead series.

=head2 Perl 5.31

  2019-05-23  5.31.0 ✓       Sawyer X
  2019-06-20  5.31.1 ✓       Karen Etheridge
  2019-07-20  5.31.2 ✓       Steve Hay
  2019-08-20  5.31.3 ✓       Tom Hukins
  2019-09-20  5.31.4 ✓       Max Maischein
  2019-10-20  5.31.5 ✓       Steve Hay
  2019-11-20  5.31.6             BinGOs
  2019-12-18  5.31.7
  2020-01-20  5.31.8
  2020-02-20  5.31.9         Renee Backer
  2020-03-20  5.31.10

(RC0 for 5.32.0 will be released once we think that all the blockers have been
addressed.  This typically means some time in April or May.)

=head1 VICTIMS

The following porters have all consented to do at least
one release of bleadperl.  If you can't do a release
and can't find a substitute amongst this list, mail p5p.

(Please do not add any names to this list without prior
consent of the Pumpking.)

  Abigail <abigail@abigail.be>
  Aristotle Pagaltzis <pagaltzis@gmx.de>
  Ask Bjørn Hansen <ask@perl.org>
  Chris Williams <bingos@cpan.org>
  Dave Cross <dave@perlhacks.com>
  Dave Rolsky <autarch@urth.org>
  David Golden <dagolden@cpan.org>
  Florian Ragwitz <rafl@debian.org>
  Jesse Luehrs <doy@cpan.org>
  Jesse Vincent <jesse@cpan.org>
  Leon Brocard <acme@astray.com>
  Matt Trout <mst@shadowcat.co.uk>
  Matthew Horsfall <wolfsage@gmail.com>
  Max Maischein <corion@cpan.org>
  Peter Martini <petercmartini@gmail.com>
  Philippe Bruhat <book@cpan.org>
  Ricardo Signes <rjbs@cpan.org>
  Stevan Little <stevan@cpan.org>
  Steve Hay <steve.m.hay@googlemail.com>
  Tatsuhiko Miyagawa <miyagawa@bulknews.net>
  Tony Cook <tony@develop-help.com>
  Yves Orton <demerphq@gmail.com>
  Zefram <zefram@fysh.org>
  Ævar Arnfjörð Bjarmason <avar@cpan.org>

=head1 AUTHOR

Jesse Vincent <jesse@cpan.org>

=cut
